Bug 134325 - Dovecot is down after a dovecot update
Dovecot is down after a dovecot update
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dovecot (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
:
Depends On:
Blocks: 171122
  Show dependency treegraph
 
Reported: 2004-10-01 08:58 EDT by Robert Scheck
Modified: 2014-01-21 17:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-05 17:49:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2004-10-01 08:58:24 EDT
Description of problem:
Dovecot is down (shutdown, killed, broke down?) after a dovecot 
update. I think this problem also refers to Fedora Core Development.

Version-Release number of selected component (if applicable):
dovecot-0.99.10.5-0.FC2

How reproducible:
Everytime, see below.

Steps to Reproduce:
1. Start dovecot
2. Install a dovecot update
3. Check dovecot status after that (down)
  
Actual results:
Dovecot is down.

Expected results:
Dovecot should be up.
Comment 1 John Dennis 2004-10-01 09:54:05 EDT
does
% /sbin/service dovecot start

successfully start the dovecot service or does it fail?

A quick look at the spec reveals it is missing a "condrestart" in
%post, that needs to be fixed. But at the moment I'm more concerned
any failures in the new package.
Comment 2 John Dennis 2004-10-01 09:58:08 EDT
A question for Timo, there are some services which don't like it when
their files are modified while they are running and need to be stopped
during a package upgrade, others are perfectly happy to be stopped and
restarted after the new package files are installed (condrestart).
Which camp does dovecot fall into?
Comment 3 Timo Sirainen 2004-10-01 10:02:16 EDT
Well, if you don't stop Dovecot before installing new files, it's possible that old Dovecot 
master process begins creating new login/imap/pop3 processes using new binaries, which 
may create errors in log file if they are incompatible.
Comment 4 Robert Scheck 2004-10-01 18:34:28 EDT
John, "/sbin/service dovecot start" starts dovecot successfully.
Comment 5 John Dennis 2005-01-05 17:49:21 EST
O.K. rpm now tests if dovecot is running before installing, if so it
stops it, sets a flag, installs, checks the flag and restarts if
necessary.

Note You need to log in before you can comment on or make changes to this bug.